complexType "Future"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 13 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, description?, currency?, exchangeId?, clearanceSystem?, definition?, relatedExchangeId*, optionsExchangeId*, specifiedExchangeId*, multiplier?, futureContractReference?, (maturity | contractYearMonth)?
</...>

Content Model Elements (13):

  clearanceSystem (defined in UnderlyingAsset complexType), contractYearMonth, currency (defined in UnderlyingAsset complexType), definition (defined in UnderlyingAsset complexType), description (defined in IdentifiedAsset complexType), exchangeId (defined in UnderlyingAsset complexType), futureContractReference, | instrumentId (defined in IdentifiedAsset complexType), maturity (in future), multiplier (in future), optionsExchangeId, relatedExchangeId, specifiedExchangeId

All Direct / Indirect Based Elements (1):

  future

Known Usage Locations

- As direct type of elements (1):
  future

Annotation
An exchange traded future contract.
Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) ExchangeTraded (extension) Future

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="Future"> <xsd:complexContent> <xsd:extension base="ExchangeTraded"> <xsd:sequence> <xsd:element minOccurs="0" name="multiplier" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="futureContractReference" type="xsd:string"/> <xsd:choice minOccurs="0"> <xsd:element name="maturity" type="xsd:date"/> <xsd:element name="contractYearMonth" type="xsd:gYearMonth"/> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/13)
contractYearMonth

  Type: | xsd:gYearMonth, predefined, simple content

  The contract month of the futures contract. i.e. F13 WTI NYMEX Contract is 2013-01.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="contractYearMonth" type="xsd:gYearMonth"/>

futureContractReference

  Type: | xsd:string, predefined, simple content

  Specifies the future contract that can be referenced, besides the equity or index reference defined as part of the UnderlyerAsset type.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="futureContractReference" type="xsd:string"/>

maturity

  Type: | xsd:date, predefined, simple content

  The date when the future contract expires.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="maturity" type="xsd:date"/>

multiplier

  Type: | xsd:positiveInteger, predefined, simple content

  The multiplier is the minimum number of the underlying - index or stock - that a participant has to trade while taking a position in the Future contract. The purpose of the multiplier is to inflate the value of the contract to add leverage to the trade. The multiplier for the Dow is 10, for the Nasdaq it is 100 and it is 250 for the Standard and Poor's index.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multiplier" type="xsd:positiveInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.